Subject: Re: [PATCHv2 5/8] [POWERPC] Remove sysdev/commproc.h

From: Jochen Friedrich <[email-masked]>
Date: Wed, 23 Jan 2008 19:03:59 +0100

Hi Kumar,

> Do we really need the prototypes you moved into asm/mpc8xx.h here?  can 
> they just live in platforms/8xx/8xx.h or something like that?

At least drivers/pcmcia/m8xx_pcmcia.c uses the symbol m8xx_pcmcia_ops
which is conditionally defined in platforms/8xx/m8xx_setup.c. However,
this driver currently seems to be broken (doesn't compile neither as
built-in nor as module).

Other drivers that include asm/mpc8xx.c are:

drivers/net/fec.c (the include seems to be obsolete, as according to Kconfig
                    the driver is only built on MPC52xx platforms)
drivers/net/fec_8xx (unused, depends on non-existant CONFIG_8XX)
drivers/net/fs_enet (i need to check if the include is needed, at all)

I'll have a closer look at this.

Thanks,
Jochen